Subject: Bug#848748: Sympy(+sagemath+nipy+~30 more) removal
ahead



This involves a lot more than just sympy: the (build-)dependency chain is

execnet - sometimes FTBFS (3-4x unreproducible test failures, no known fix; disabling/ignoring the tests in question would probably make it build, but obviously isn't a real fix)
^
|
pytest-xdist
^
|(apparently only for already-disabled tests)
|
wand <-- sorl-thumbnail willow
^
|
blockdiag - FTBFS (test mistakes annoying-but-harmless wand warning for an error) with patch
^
|(some indirectly)
|
actdiag brian cain chaussette dolfin fenics ffc fiat geophar ironic nipy nipype nova nwdiag octave-symbolic openstack-meta-packages python-measurement python-ws4py rabbit rabbiter sagemath seelablet seqdiag sfepy sphinxcontrib-actdiag sphinxcontrib-blockdiag sphinxcontrib-nwdiag sphinxcontrib-seqdiag sympy yt

Hence, we can save a lot more packages than just sympy by applying the blockdiag patch and either cutting wand->pytest-xdist or disabling execnet's problematic tests.


Programming list archiving by: Enterprise Git Hosting